language: php

env:
  global:
      - SYMFONY_DEPRECATIONS_HELPER=weak

sudo: false

cache:
  directories:
    - $HOME/.composer/cache

matrix:
  include:
    - php: 7.1
      env: SYMFONY_REQUIRE=^4
    - php: 7.2
      env: SYMFONY_REQUIRE=^4
    - php: 7.3
      env: SYMFONY_REQUIRE=^4
    - php: 7.4snapshot
      env: SYMFONY_REQUIRE=^4
    - php: 7.2
      env: SYMFONY_REQUIRE=^5
    - php: 7.3
      env: SYMFONY_REQUIRE=^5
    - php: 7.4snapshot
      env: SYMFONY_REQUIRE=^5

before_install:
    - composer self-update

install:
    - composer require symfony/flex --no-update
    - composer install --prefer-source

notifications:
  email:
    - payumsupport@forma-pro.com
